[LUGA] Mit freundlicher Unterstützung von:
WSR

Mail Thread Index


[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[luga] Re: [luga] aptitude ist böse.



On Thu, 13 Oct 2016, at 18:01, Robert Waldner wrote:

> Debian selbst meint, aptitude waer nicht mehr so das Allheilmittel wie 
>  frueher, aus den Release Notes zu Jessie:
> 
> "The recommended way to upgrade from previous Debian releases is to use
>  the package management tool apt-get. In previous releases, aptitude was
>  recommended for this purpose, but recent versions of apt-get provide
>  equivalent functionality and also have shown to more consistently give
>                                    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
>  the desired upgrade results."
>  ^^^^^^^^^^^^^^^^^^^^^^^^^^^

Ich verwend seither auch vorzugsweise apt-get, übrigens schon seit
https://www.debian.org/releases/squeeze/amd64/release-notes/ch-upgrading.en.html#upgradingpackages

Dass `aptitude -y` in einem Script verheerende Folgen haben kann, 
hätte ich aber auch nicht erwartet. Vielleicht befürchtet, aber nicht 
erwartet.

Weil ich grad "zufällig" in alten Notizen einen Link fand, von dem ich
nicht dachte, dass er überhaupt noch funktionieren würde:

  Basic package management operations: apt-get/apt-cache vs. aptitude
  http://www.debian.org/doc/manuals/debian-reference/ch02.en.html#_literal_apt_ge$

Die Warnung "The aptitude command sometimes suggests mass package 
removals for the system upgrade on the testing or unstable Debian 
system." sollte wohl ausgedehnt werden.

-- 
-- Andreas

    :-)




powered by LINUX the choice of a gnu generation
linux user group austria;
Suche
Suche
Letzte Änderung:
webmaster@luga.at
Oktober 2016